#include <ri.h>
#include <stdio.h>

RtPoint Square[4] = { {.5,.5,0}, {.5,-.5,0}, {-.5,-.5,0}, {-.5,.5,0} };

static RtColor Color = { .2, .4, .6 };

main()
{
    RiBegin("rgl");   /* Start the renderer     */

		RiLightSource( "distantlight", RI_NULL); 
        RiProjection( "perspective", RI_NULL);
        RiTranslate(0.0, 0.0, 1.0);
        RiRotate(40.0, -1.0, 1.0, 0.0);
                    
        RiWorldBegin();

            RiSurface("matte", RI_NULL);
            RiColor(Color);       /* Declare the color */
            RiPolygon( (RtInt) 4,         /* Declare the square */ 
                RI_P, (RtPointer) Square, RI_NULL);

        RiWorldEnd();
    
    RiEnd();                /* Clean up after the renderer */

    return 0;
}
